Name:           ripright
Version:        0.11
Release:        8%{?dist}
Summary:        Minimal CD to FLAC ripper
License:        GPLv2
URL:            http://www.mcternan.me.uk/ripright/
Source0:        http://www.mcternan.me.uk/ripright/software/%{name}-%{version}.tar.gz
Patch0:         0001-Fix-incorrect-handle-of-MUSICBRAINZ_ALBUMID-and-MUSI.patch

BuildRequires:  cdparanoia-devel
BuildRequires:  flac
BuildRequires:  flac-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  libcurl-devel
BuildRequires:  libdiscid-devel

%description
RipRight is a minimal CD ripper modeled on autorip. It can run as a daemon and
will automatically start ripping any CD found in the drive after which the
disc will be ejected. Ripping is always to FLAC lossless audio format with
tags taken from the community-maintained MusicBrainz lookup service and cover
art from Amazon where possible. If a disc is unknown to MusicBrainz, the CD
will be ejected without ripping and can also be optionally rejected if cover
art cannot be found.

With RipRight, ripping a CD collection is just a matter of feeding your Linux 
PC each CD in turn and waiting while they are ripped. CDs which are 
immediately ejected can be checked with the MusicBrainz Picard tool which 
allows CD identifiers to be uploaded to the website database. Any errors or 
inaccuracies in the database records can also be edited on the MusicBrainz.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

rm -frv %{buildroot}%{_pkgdocdir}

%check
make check

%files
%doc ChangeLog
%license COPYING
%{_bindir}/ripright
%{_bindir}/riparrange
%{_mandir}/man1/ripright.1.*
%{_mandir}/man1/riparrange.1.*

%changelog
* Tue Sep 05 2017 Adam Williamson <awilliam@redhat.com> - 0.11-8
- Rebuild for ImageMagick 6 reversion, drop ImageMagick 7 patch

* Mon Aug 28 2017 Michael Cronenworth <mike@cchtml.com> - 0.11-7
- Rebuild for new ImageMagick

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Mon Jul 31 2017 Kevin Fenzi <kevin@scrye.com> - 0.11-5
- Rebuild for new ImageMagick

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Christopher Meng <rpm@cicku.me> - 0.11-1
- Update to 0.11

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 13 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9-3
- ImageMagick 6.8.8.10-3 rebuild.

* Thu Feb 20 2014 Christopher Meng <rpm@cicku.me> - 0.9-2
- Fix a typo and add the missing dependency.

* Wed Jan 01 2014 Christopher Meng <rpm@cicku.me> - 0.9-1
- Initial Package.
